# Class SkyDensityPlotter.SkyDenseStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.SkyDensityPlotter.SkyDenseStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `SkyDensityPlotter`

public static class SkyDensityPlotter.SkyDenseStyle extends Object implements Style
Style for configuring with the sky density plot.

Since:
  20 Sep 2015
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyDenseStyle(int level, Scaling scaling, Subrange dataclip, Shader shader, Combiner combiner, SolidAngleUnit unit)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyDenseStyle

public SkyDenseStyle(int level, Scaling scaling, Subrange dataclip, Shader shader, Combiner combiner, SolidAngleUnit unit)
Constructor.

Parameters:
  `level` - HEALPix level defining the requested map resolution; note the actual resolution at which the densities are calculated may be different from this, in particular if the screen pixel grid is coarser than that defined by this level
  `scaling` - scaling function for mapping densities to colour map entries
  `dataclip` - scaling function adjustment subrange
  `shader` - colour map
  `combiner` - value combination mode for bin calculation
  `unit` - solid angle unit for density combinations

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`